%global _vpath_srcdir Kvantum

Name:           ida-kvantum
Version:        1.1.3
Release:        %autorelease
Summary:        SVG-based theme engine for Qt, KDE and LXQt for IDA

License:        GPL-3.0-only
URL:            https://github.com/tsujan/Kvantum
Source0:        %{url}/archive/V%{version}/kvantum-%{version}.tar.gz

Patch0:         0001-Wrap-forward-declaration-within-QT_NAMESPACE.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  ida-qt5-qtbase-devel
BuildRequires:  ida-qt5-qtsvg-devel
BuildRequires:  ida-qt5-qtx11extras-devel

Requires:       kvantum-data = %{version}
Requires:       ida-qt5-qtx11extras

%description
Kvantum is an SVG-based theme engine for Qt, tuned to KDE and LXQt, with an
emphasis on elegance, usability and practicality.

Kvantum has a default dark theme, which is inspired by the default theme of
Enlightenment. Creation of realistic themes like that for KDE was the first
reason to make Kvantum but it goes far beyond its default theme: you could
make themes with very different looks and feels for it, whether they be
photorealistic or cartoonish, 3D or flat, embellished or minimalistic, or
something in between, and Kvantum will let you control almost every aspect of
Qt widgets.

Kvantum also comes with many other themes that are installed as root and can
be selected and activated by using Kvantum Manager.

%prep
%autosetup -n Kvantum-%{version} -p1

%build
%cmake \
  -DENABLE_QT5:BOOL=ON \
  -DWITHOUT_KF:BOOL=ON \
  -DCMAKE_PREFIX_PATH=%{_ida_qt5_prefix} \
  -DCMAKE_INSTALL_LIBDIR=%{_ida_qt5_prefix}/%{_lib} \
  -DCMAKE_INSTALL_RPATH_USE_LINK_PATH:BOOL=ON
%cmake_build

%install
%cmake_install

export QA_RPATHS=0x0002

%files
%license Kvantum/COPYING
%doc Kvantum/ChangeLog Kvantum/NEWS Kvantum/README.md
%{_ida_qt5_plugindir}/styles/libkvantum.so

%changelog
%autochangelog
